﻿@{
    ViewData["Title"] = "Главная страница";
}

<link href="~/css/site.css" rel="stylesheet" />
<script src="~/js/tasks-controller.js"></script>

<div ng-app="app" ng-controller="taskController" class="content">
    <div class="section sidebar">
        <div class="sidebar__item greeting">
        </div>

        <div class="sidebar__item briefly">
            <ul ng-repeat="row in states track by row.ID ">
                <li>
                    <a href="#{{row.StateConst}}" ng-click="initTasksList(row.StateConst)">Список задач со статусом «{{row.StateName}}»</a>
                </li>
            </ul>
        </div>
    </div>

    <div class="section tasks">
        <div class="tasks__item" ng-show="tasks">
            <div class="item__row" ng-repeat="row in tasks track by row.ID">
                <div class="feature">
                    <div class="feature__header">
                        <p>{{row.Title}} <strong ng-show="row.Urgency && row.StateID != 1"> | <span class="text-danger">Необходимо закрыть эту задачу в течении 2 часов!</span></strong></p>
                        <small>{{row.StateName}}</small>
                    </div>
                    <div class="feature__body" ng-show="row.StateID > 1">
                        <p>
                            Задача была создана <strong>{{row.DateFrom | date:'dd.MM.yyyyг. в HH:mm'}}</strong>,
                            задачу необходимо завершить до <strong>{{row.DateTo | date:'dd.MM.yyyyг. HH:mm'}}</strong>
                        </p>
                    </div>
                    <div class="feature__body" ng-show="row.StateID === 1">
                        <p class="text-muted">
                            Задача была успешно закрыта
                        </p>
                    </div>
                </div>
            </div>
        </div>
        <div class="tasks__item data-is-null" ng-show="tasks.length === 0">
            <p class="text-muted">По выбранной категории задач нет.</p>
        </div>
    </div>
</div>

